# Generated by Django 3.1.7 on 2021-02-23 13:21

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Videos',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(db_index=True, max_length=50)),
                ('youtube_url', models.URLField(max_length=250, unique=True)),
                ('video_thumbnail', models.ImageField(upload_to='media/thumbs')),
                ('summary', models.CharField(max_length=250)),
                ('body', models.TextField(null=True)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('views', models.BigIntegerField(default=0)),
                ('video_path', models.FileField(blank=True, null=True, upload_to='media/videos')),
            ],
            options={
                'db_table': 'videos',
            },
        ),
    ]
